// File: MinMaxVector.java
// Use java.util.Vector to simplify operations and permit unlimited data set
// Find the extremes in a sentinel terminated list of int
// Note: New I/O procedures

import java.io.* ;
import java.util.*;
import java.text.DecimalFormat;

public class MinMaxVector
{
 static final Integer Sentinel=new Integer(-999);
 static PrintWriter DataOut=new PrintWriter(System.out, true);	

 static int ReadInt() throws java.io.IOException
 {BufferedReader DataIn = new 
			 BufferedReader(new InputStreamReader(System.in));
  String Input=DataIn.readLine();
  return (Integer.valueOf(Input).intValue());
 }

 // Input and return an integer,
 //  prompting with the message string that is the input argument
 static int GetInteger(String Message) throws java.io.IOException
 {DataOut.print(Message);
  DataOut.flush();
  return(ReadInt());
 }

 static void GetValues(Vector List) throws java.io.IOException
 {List.addElement(new Integer(
					    GetInteger("Enter Integer..."+Sentinel+" Quits >")));
  while (((Integer)List.lastElement()).intValue()!=Sentinel.intValue()) {
	  List.addElement(new Integer(
	                    GetInteger("Enter Integer..."+Sentinel+" Quits >")));
  }
  List.removeElement(Sentinel);
 }

 static void FindMinMax(Vector List,IntegerObject Min,IntegerObject Max)
 {Min.SetValue(((Integer)List.firstElement()).intValue());
  Max.SetValue(((Integer)List.firstElement()).intValue());
  for (int Count=1;Count<List.size();Count++)
   if (((Integer)List.elementAt(Count)).intValue()>Max.GetValue())
    Max.SetValue(((Integer)List.elementAt(Count)).intValue());
   else if (((Integer)List.elementAt(Count)).intValue()<Min.GetValue())
    Min.SetValue(((Integer)List.elementAt(Count)).intValue());
 }

 static void Report(Vector List,IntegerObject Min,IntegerObject Max) 
												throws java.io.IOException
 {DecimalFormat CounterForm=new DecimalFormat("#0");
  DecimalFormat NumForm=new DecimalFormat("        #0");
  for (int Count=0;Count<List.size();Count++) {
   DataOut.print(CounterForm.format(Count)+":"+
      NumForm.format(((Integer)List.elementAt(Count)).intValue()));
   if (((Integer)List.elementAt(Count)).intValue()==Min.GetValue() &&
                   ((Integer)List.elementAt(Count)).intValue()==Max.GetValue())
    DataOut.println("    MINMAX");
   else if (((Integer)List.elementAt(Count)).intValue()==Min.GetValue())
    DataOut.println("    MIN");
   else if (((Integer)List.elementAt(Count)).intValue()==Max.GetValue())
    DataOut.println("    MAX");
   else DataOut.println();
  }
 }

 public static void main(String[] args) throws java.io.IOException
 {IntegerObject Min=new IntegerObject(),
          Max=new IntegerObject();
  // Don't need anymore. Vector holds it
  //			NumberOfValues=new Integer();
  // Declare array of Integer instantiated to MaxSize Integers
  Vector ValueList=new Vector(0,1);
  GetValues(ValueList);
  if (ValueList.size()>0) {  // Could be: !ValueList.isEmpty()
   FindMinMax(ValueList,Min,Max);
   Report(ValueList,Min,Max);
  }
 } // End of Main Method

}// End of class

